#define BOOST_TEST_MODULE MailingList test

#include "mailinglist.h"

#include <string>
#include <vector>

#include <boost/test/included/unit_test.hpp>

using namespace std;

// The fixture for testing mailing lists.
class MailingListTests  {
 public:
  Contact jones;
  MailingList mlist;

  MailingListTests() {
    jones = Contact("Jones", "21 Penn. Ave.");
    mlist.addContact (Contact ("Baker", "Drury Ln."));
    mlist.addContact (Contact ("Holmes", "221B Baker St."));
    mlist.addContact (Contact ("Wolfe", "454 W. 35th St."));
  }

  ~MailingListTests() {
  }

};

BOOST_AUTO_TEST_CASE ( constructor ) {
  MailingList ml;
  BOOST_CHECK_EQUAL (0, ml.size());
  BOOST_CHECK (!ml.contains("Jones"));
}


BOOST_FIXTURE_TEST_CASE (addContact, MailingListTests) {
  mlist.addContact (jones);
  BOOST_CHECK (mlist.contains("Jones"));
  BOOST_CHECK_EQUAL ("Jones", mlist.getContact("Jones").getName());
  BOOST_CHECK_EQUAL (4, mlist.size());
}
